Execute a report query
Runs one adapter-backed, tenant-scoped report query with bounded fields, filters, sorts, pagination, and database time.
Runs one adapter-backed, tenant-scoped report query with bounded fields, filters, sorts, pagination, and database time.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/execute" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "property1": null, "property2": null } ], "columns": [ { "key": "string", "label": "string", "type": "string", "format": "string", "aggregation": "sum" } ], "pagination": { "page": 1, "limit": 1, "total": 0, "totalPages": 0 }}Empty
Empty
Empty
Empty